curl --request DELETE \
--url https://mention-me.com/api/merchant/v2/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifiers": [
{
"type": "email",
"value": ""
}
]
}
'{
"accepted": [
{
"type": "email",
"value": ""
}
],
"errors": [
{
"value": "<string>",
"reason": "notFound"
}
]
}Purge customers
Purge all customers matching the given identifiers.
Purging is a permanent action. Once a customer is purged, they cannot be recovered.
Purging is done on a queue. It may take some time for the customers to be purged. We recommend using the GET /v2/customers endpoint to determine if the customers have been purged. Approximate time to purge is
normally under < 5 minutes, but can be several hours in some cases.
Customers who we were able to queue will be returned in the accepted array. Customers who we do not hold a record of or cannot find will be returned in the errors array.
Scopes: customers:delete
Rate limits: 300 requests per 5 minutes. Shared across all ‘customers’ endpoints.
curl --request DELETE \
--url https://mention-me.com/api/merchant/v2/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifiers": [
{
"type": "email",
"value": ""
}
]
}
'{
"accepted": [
{
"type": "email",
"value": ""
}
],
"errors": [
{
"value": "<string>",
"reason": "notFound"
}
]
}Authorizations
RFC8725 Compliant JWT
Body
A collection of identifiers for customers in Mention Me.
Maximum of 100 identifiers.
1 - 100 elements- Option 1
- Option 2
Show child attributes
Show child attributes
Response
All identifiers that were queued to be purged.
A collection of customer identifiers which were accepted, or resulted in an error.
Was this page helpful?